# Class ChartUtils

java.lang.Object
net.sf.statcvs.charts.ChartUtils

public class ChartUtils extends Object
Utility class for chart related stuff.

Version:
  $Id: ChartUtils.java,v 1.3 2008/04/02 11:22:15 benoitx Exp $
Author:
  Richard Cyganiak

## Method Summary

Modifier and Type
Method
Description
`static Color`
`getStringColor(String s)`
Returns a distinct `Color` for a `String` argument.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getStringColor

public static Color getStringColor(String s)
Returns a distinct `Color` for a `String` argument. The algorithm tries to provide different colors for similar strings, and will return equal colors for equal strings. The colors will all have similar brightness and maximum intensity. Useful for chart coloring.

Parameters:
  `s` - a `String` to get a color for
Returns:
  a distinct `Color` for a `String` argument. The algorithm tries to provide different colors for similar strings, and will return equal colors for equal strings. The colors will all have similar brightness and maximum intensity. Useful for chart coloring.